=== clients/moira/Doc/Makefile ===
# $Header$

all: internal.PS

internal.PS: internal.mss
	scribe internal

clean:
	rm -f *.PS *.err *.aux *.otl
