=== debian/control ===
Source: debathena-thirdparty-libraries
Section: debathena/base
Priority: extra
Maintainer: Debathena Project <debathena@mit.edu>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.6.2

Package: debathena-thirdparty-libraries
Architecture: all
Depends: libatlas-base-dev,
 libatlas-sse-dev,
 libatlas-sse2-dev,
 libatlas-doc,
 liblapack-dev,
 liblapack-doc,
 libblas-dev,
 libblas-doc,
 libboost-date-time-dev,
 libboost-date-time1.34.1,
 libboost-dev,
 libboost-doc,
 libboost-filesystem-dev,
 libboost-filesystem1.34.1,
 libboost-graph-dev,
 libboost-graph1.34.1,
 libboost-iostreams-dev,
 libboost-iostreams1.34.1,
 libboost-program-options-dev,
 libboost-python-dev,
 libboost-python1.34.1,
 libboost-regex-dev,
 libboost-serialization-dev,
 libboost-serialization1.34.1,
 libboost-signals-dev,
 libboost-signals1.34.1,
 libboost-test-dev,
 libboost-test1.34.1,
 libboost-thread-dev,
 libboost-thread1.34.1,
 libboost-wave-dev,
 libboost-wave1.34.1,
 libmotif3,
 motif-clients,
 gsl-bin,
 gsl-doc-pdf,
 gsl-ref-html,
 libgsl0-dev,
 libocamlgsl-ocaml,
 libocamlgsl-ocaml-dev,
 libcairo2-doc,
 libcairomm-1.0-dev,
 libcairomm-1.0-doc,
 libcairo-ocaml,
 libcairo-ocaml-dev,
 libglitz1,
 libglitz1-dev,
 libglitz-glx1,
 libglitz-glx1-dev,
 libvtk5,
 libvtk5-dev,
 libvtk5-qt4,
 libvtk5-qt4-dev,
 python-pyvtk,
 python-vtk,
 vtk-doc,
 vtk-examples,
 vtk-tcl,
 vtkdata,
 qt4-designer,
 qt4-qtconfig,
 qt4-doc,
 qt4-dev-tools,
 libqt4-gui,
 libqt4-dev,
 libqt4-core,
 libfftw3-3,
 libfftw3-dev,
 libfftw3-doc,
 mffm-fftw-dev,
 libginac1.4,
 libginac-dev,
 ginac-tools,
 libcln5,
 libcln-dev,
 libitpp6 | libitpp6gf,
 libitpp-dev,
 libqhull-dev,
 libqhull5,
 qhull-bin,
 libgmp3-dev,
 libgmp3-doc,
 libgmpxx4ldbl,
 python-gmpy,
 libpari2-gmp,
 libpari2-gmp-dev,
 libgmp-ocaml,
 libgmp-ocaml-dev,
 libwxbase2.6-dev,
 libwxgtk2.6-dev,
 wx-common,
 wx2.6-doc,
 libtiff4-dev,
 libnspr4-dev,
 libpoppler-glib-dev,
 libgtksourceview-dev,
 libnss3-dev,
 xulrunner-1.9-dev,
 liblog4net1.2-cil,
 dx,
 dx-doc,
 dxsamples,
 guile-1.8,
 guile-1.8-doc,
 guile-1.8-dev,
 guile-cairo,
 libqt-perl
Description: Athena 10 debathena-thirdparty-libraries software suite.
 This includes a set of subpackages of commonly-used third-party software
 within the libraries domain.  It is intended for cluster machines though usable
 anywhere.  Direct questions about software included in this metapackage
 to 3partysw@mit.edu.
